Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.config_browser
Class ShowBeansAction

    java.lang.Object
      com.opensymphony.xwork2.ActionSupport
          org.apache.struts2.config_browser.ActionNamesAction
              org.apache.struts2.config_browser.ShowBeansAction

All Implemented Interfaces:
  com.opensymphony.xwork2.Action, com.opensymphony.xwork2.LocaleProvider, com.opensymphony.xwork2.TextProvider, com.opensymphony.xwork2.Validateable, com.opensymphony.xwork2.ValidationAware, Serializable

    public class ShowBeansAction

extends ActionNamesAction

Shows the beans loaded by the internal Guice container. Only shows beans that are recognized by Struts as official plugin extension points.

See Also:
  Serialized Form

Nested Class Summary
`class` | `ShowBeansAction.Binding`

Field Summary

Fields inherited from class org.apache.struts2.config_browser.ActionNamesAction
`configHelper`

Fields inherited from class com.opensymphony.xwork2.ActionSupport
`LOG`

Fields inherited from interface com.opensymphony.xwork2.Action
`ERROR, INPUT, LOGIN, NONE, SUCCESS`

Constructor Summary
`ShowBeansAction()`

Method Summary
`protected Set<ShowBeansAction.Binding>` | `addBindings(com.opensymphony.xwork2.inject.Container container, Class type, String constName)`
`Map<String,Set<ShowBeansAction.Binding>>` | `getBeans()`
`void` | `setContainer(com.opensymphony.xwork2.inject.Container container)`

Methods inherited from class org.apache.struts2.config_browser.ActionNamesAction
`execute, getActionNames, getConfig, getExtension, getNamespace, getNamespaces, index, redirect, setConfigurationHelper, setExtension, setNamespace`

Methods inherited from class com.opensymphony.xwork2.ActionSupport
`addActionError, addActionMessage, addFieldError, clearActionErrors, clearErrors, clearErrorsAndMessages, clearFieldErrors, clearMessages, clone, getActionErrors, getActionMessages, getErrorMessages, getErrors, getFieldErrors, getFormatted, getLocale, getText, getText, getText, getText, getText, getText, getText, getText, getText, getTexts, getTexts, hasActionErrors, hasActionMessages, hasErrors, hasFieldErrors, hasKey, input, pause, setActionErrors, setActionMessages, setFieldErrors, validate`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ShowBeansAction

    public ShowBeansAction()

Method Detail

### setContainer

    public void setContainer(com.opensymphony.xwork2.inject.Container container)

  Overrides:
    `setContainer` in class `com.opensymphony.xwork2.ActionSupport`

### getBeans

    public Map<String,Set<ShowBeansAction.Binding>> getBeans()

### addBindings

    protected Set<ShowBeansAction.Binding> addBindings(com.opensymphony.xwork2.inject.Container container,
                                                       Class type,
                                                       String constName)

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.